ArcCurve object has no attribute ExtremeParameters

Hi,

Anyone can help me please? when I run this script for a circle, there is an error:

« Message : ‘ArcCurve’ object has no attribute ‘ExtremeParameters’

crv_id = rs.GetObject(“Selct a Circle”, rs.filter.curve, preselect=True, select=False)

crv_obj = rs.coercerhinoobject(crv_id)

vec1=(0,1,0)

ex = crv_obj.ExtremeParameters(vec1)

I have already installed WIP. I use Rhino 5

Rhino - Téléchargement - Panelingtools WIP (rhino3d.com)

Thanks a lot

Hi @msgatrong,

Curve.ExtremeParameters was added in Rhino 6.

If you have a Rhino of version 6 or newer, try this:

import rhinoscriptsyntax as rs
crv_id = rs.GetObject("Selct a Circle", rs.filter.curve, preselect=True, select=False)
if crv_id:
    crv = rs.coercecurve(crv_id)
    if crv:
        dir = rs.CreateVector(0, 1, 0)
        ex = crv.ExtremeParameters(dir)
        print(ex)

– Dale

Thank you very much, I only have version 5. Is there another function in version 5 to find the max curvature point of a curve?